%define oname		imobiledevice
%define major		4
%define libname		%mklibname %{oname} %{major}
%define libnamedev	%mklibname %{oname} -d

Name:		libimobiledevice
Version:	1.1.6
%define subrel	1
Release:	%mkrel 4
Summary:	Library for connecting to Apple devices
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
Patch0:		libimobiledevice-1.2.0-listen-local.patch
BuildRequires:	pkgconfig(libplist) >= 1.11
BuildRequires:	pkgconfig(libplist++) >= 1.11
BuildRequires:	pkgconfig(libusbmuxd) >= 1.0.9
BuildRequires:	pkgconfig(openssl) >= 0.9.8

%description
libimobiledevice is a software library that talks the protocols to support
iPhone®, iPod Touch®, iPad® and Apple TV® devices.

Unlike other projects, it does not depend on using any existing proprietary
libraries and does not require jailbreaking. It allows other software to
easily access the device's filesystem, retrieve information about the device
and it's internals, backup/restore the device, manage SpringBoard® icons,
manage installed applications, retrieve addressbook/calendars/notes and
bookmarks and (using libgpod) synchronize music and video to the device.

#---------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for connecting to Apple devices
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libimobiledevice is a software library that talks the protocols to support
iPhone®, iPod Touch®, iPad® and Apple TV® devices.

#---------------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedev}
Files for development with %{name}.

#---------------------------------------------------------------------------------

%package -n	python-imobiledevice
Summary:	Python bindings for %{name}
Group:		Development/Python
BuildRequires:	python-devel
BuildRequires:	python-cython
BuildRequires:	swig

%description -n python-imobiledevice
Python bindings for %{name}.

#---------------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p1 -b .CVE-2016-5104

%build
autoreconf -vfi
%configure2_5x \
		--disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS COPYING.LESSER README
%{_bindir}/idevice_id
%{_bindir}/ideviceinfo
%{_bindir}/idevicepair
%{_bindir}/idevicesyslog
%{_bindir}/idevicebackup
%{_bindir}/ideviceimagemounter
%{_bindir}/ideviceenterrecovery
%{_bindir}/idevicescreenshot
%{_bindir}/idevicebackup2
%{_bindir}/idevicedate
%{_bindir}/idevicedebugserverproxy
%{_bindir}/idevicediagnostics
%{_bindir}/ideviceprovision
%{_bindir}/idevicename
%{_bindir}/idevicecrashreport
%{_mandir}/man1/idevice*.1.*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libnamedev}
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libdir}/%{name}.so
%{_includedir}/%{name}

%files -n python-imobiledevice
%{python_sitearch}/%{oname}.so


%changelog
* Fri May 27 2016 luigiwalser <luigiwalser> 1.1.6-4.1.mga5
+ Revision: 1018930
- add upstream patch to fix CVE-2016-5104

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-4.mga5
+ Revision: 748425
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.6-3.mga5
+ Revision: 726721
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-2.mga5
+ Revision: 681534
- Mageia 5 Mass Rebuild

* Mon Mar 31 2014 daviddavid <daviddavid> 1.1.6-1.mga5
+ Revision: 610885
- drop unneeded patches
- change version specification on BRs
- new version: 1.1.6

* Sun Mar 30 2014 daviddavid <daviddavid> 1.1.5-4.mga5
+ Revision: 610702
- rebuild for new libplist

* Sat Oct 19 2013 umeabot <umeabot> 1.1.5-3.mga4
+ Revision: 532078
- Mageia 4 Mass Rebuild

* Thu Aug 15 2013 fwang <fwang> 1.1.5-2.mga4
+ Revision: 466718
- add upstream patch to build with cython

  + luigiwalser <luigiwalser>
    - add patch from ubuntu to fix CVE-2013-2142

* Thu Jun 13 2013 fwang <fwang> 1.1.5-1.mga4
+ Revision: 442330
- update file list
- bump libmajor
- drop upstream patches
- new version 1.1.5

* Fri Feb 08 2013 fwang <fwang> 1.1.4-4.mga3
+ Revision: 395531
- add patch from pld linux to fix build

* Sat Jan 12 2013 umeabot <umeabot> 1.1.4-3.mga3
+ Revision: 357529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 blino <blino> 1.1.4-2.mga3
+ Revision: 303682
- fix crash in upowerd when run from systemd (from upstream git, Bastien Nocera)

* Tue Aug 07 2012 wally <wally> 1.1.4-1.mga3
+ Revision: 279823
- update descriptions/summaries
- br python-cython
- clean .spec a bit

  + fwang <fwang>
    - update br
    - bump br
    - new version 1.1.4

* Tue Aug 02 2011 fwang <fwang> 1.1.1-3.mga2
+ Revision: 131383
- remove correct files
- do not ship libtool archives
- rebuild for new gnutls

* Sat Jun 11 2011 dmorgan <dmorgan> 1.1.1-1.mga2
+ Revision: 103377
- New version 1.1.1

* Fri Apr 08 2011 ahmad <ahmad> 1.0.6-1.mga1
+ Revision: 82027
- update to 1.0.6

* Fri Mar 25 2011 ahmad <ahmad> 1.1.0-1.mga1
+ Revision: 77412
- update to 1.1.0 and submit it to core/testing

* Tue Jan 18 2011 pterjan <pterjan> 1.0.4-3.mga1
+ Revision: 21818
- Rebuild for python 2.7

* Sat Jan 15 2011 blino <blino> 1.0.4-2.mga1
+ Revision: 18994
- remove old ldconfig scriptlets
- imported package libimobiledevice

